package logwire.web.bo.field.parse;

import logwire.core.meta.model.fields.MultipleChoiceField;

import java.lang.reflect.Field;

public class BizArrayFieldParser extends FieldParser<MultipleChoiceField> {

    @Override
    protected MultipleChoiceField newField(String name, Field field) {
        return new MultipleChoiceField(name, 100);
    }

    private BizArrayFieldParser() {
    }

    public static BizArrayFieldParser getInstance() {
        return BizArrayFieldParser.SingletonHolder.instance;
    }

    private static class SingletonHolder {
        private static BizArrayFieldParser instance = new BizArrayFieldParser();
    }
}
