package logwire.web.bo.field.parse;

import logwire.core.meta.model.fields.ChoiceField;

import java.lang.reflect.Field;

public class ChoiceFieldParser extends FieldParser<ChoiceField> {
    @Override
    protected ChoiceField newField(String name, Field field) {
        return new ChoiceField(name, 50);
    }

    private ChoiceFieldParser() {
    }

    public static ChoiceFieldParser getInstance() {
        return ChoiceFieldParser.SingletonHolder.instance;
    }

    private static class SingletonHolder {
        private static ChoiceFieldParser instance = new ChoiceFieldParser();
    }

}
