package logwire.web.bo.handler;

import logwire.core.bo.handler.TypeOperationHandler;
import logwire.web.bo.BoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class CreateOperationHandler implements TypeOperationHandler {

    @Autowired
    BoService boService;

    @Override
    public Object execute(Class clazz, Object... args) {
        return boService.createBizObject(clazz);
    }

    @Override
    public String getOperation() {
        return "create";
    }

    @Override
    public boolean isEnabled() {
        return true;
    }
}
