package logwire.web.bo.provider;

import logwire.core.bo.annotation.ObjectOperationProvider;
import logwire.core.bo.annotation.Operation;
import logwire.core.bo.object.BizObject;

//所有BO Object 默认Operation定义
@ObjectOperationProvider(type = BizObject.class)
public interface DefaultObjectOperationProvider {
    @Operation()
    void save();

    @Operation()
    void delete();

    @Operation()
    void update(String... fields);
    // 更多操作定义
}