package logwire.web.bo;

import logwire.core.resource.JavaBeanContainer;
import logwire.core.resource.JavaBeanContainerBuilder;
import logwire.core.resource.Util;
import logwire.web.bo.loader.BoRelationBeanDefinitionLoader;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

@Component
public class BoRelationBeanContainerBuilder implements JavaBeanContainerBuilder {
    public static final String CONTAINER_NAME = "BO_RELATION_CONTAINER";

    @Override
    public JavaBeanContainer build(ApplicationContext applicationContext) {
        return new JavaBeanContainer(Util.getExactBean(applicationContext, BoRelationBeanDefinitionLoader.class));
    }

    @Override
    public String getContainerName() {
        return CONTAINER_NAME;
    }
}
