package logwire.web.bo.field.parse;

import logwire.core.meta.model.fields.BigIntegerField;

import java.lang.reflect.Field;

public class BigIntegerFieldParser extends FieldParser<BigIntegerField> {

    @Override
    protected BigIntegerField newField(String name, Field field) {
        return new BigIntegerField(name);
    }

    private BigIntegerFieldParser() {
    }

    public static BigIntegerFieldParser getInstance() {
        return BigIntegerFieldParser.SingletonHolder.instance;
    }

    private static class SingletonHolder {
        private static BigIntegerFieldParser instance = new BigIntegerFieldParser();
    }
}
